Page MenuHomePhabricator

Convert CentralNotice to use extension registration
Closed, ResolvedPublic4 Story Points

Description

Unsuccessful automatic migration:
CentralNotice: https://gerrit.wikimedia.org/r/#/c/186899/

Conditional initialization is an issue. We're considering using the callback mechanism to continue doing the conditional stuff programmatically.

This task is important because it should improve overall site performance.

Event Timeline

awight created this task.Aug 11 2015, 7:07 PM
awight updated the task description. (Show Details)
awight raised the priority of this task from to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 7:07 PM
awight renamed this task from Convert CheckUser to use extension registration to Convert CentralNotice to use extension registration.Aug 11 2015, 7:07 PM
awight set Security to None.
awight added a subscriber: awight.Sep 29 2015, 6:18 PM

We have a problem here, that extension setup is controlled by conditionals, and different hooks are registered on infrastructure vs subscribing wikis. See efCentralNoticeSetup.

awight updated the task description. (Show Details)Oct 9 2015, 3:00 PM
awight added a subscriber: Paladox.

@Paladox gave us the answer to conditional initialization, that for now we can write a callback function for that junk. Once that's working, we can consider something fancier like sub-extension configuration.

@awright I am not sure what your asking. But yes you have to use a callback currently.

But anyways it dosent need a callback it already uses the ExtensionFunctions config which does it.

Change 186899 had a related patch set uploaded (by Awight):
[WIP] Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/186899

@DStrine @atgo @AndyRussG
I'd like to pull this one in before the code freeze, a lot of work went into the patch and a rebase in January would be too difficult. There's also a decent chance that we'll be ambushed by a surprise requirement to become compatible with MediaWiki extension registration, doing it ahead of time avoids that risk.

Change 186899 had a related patch set uploaded (by Paladox):
[WIP] Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/186899

awight edited a custom field.Oct 21 2015, 10:22 PM
atgo moved this task from Sprint +1 to Sprint +2 on the Fundraising-Backlog board.Oct 28 2015, 9:17 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
awight claimed this task.Jun 10 2016, 8:38 AM
awight updated the task description. (Show Details)
awight changed the point value for this task from 1 to 2.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 10 2016, 8:38 AM

Here are some notes I'm using for reviewing and smoke testing.

Finished tweaking and smoke testing! Some else should do review the additional changes I made, though, I think. :) Thx!!!!

awight reassigned this task from awight to AndyRussG.

Change 186899 merged by jenkins-bot:
Migrate to extension registration

https://gerrit.wikimedia.org/r/186899

Following deploy, a single error was discovered on production, leading to the patch below, also now deployed!

https://gerrit.wikimedia.org/r/#/c/304410/

AndyRussG changed the point value for this task from 2 to 4.Aug 12 2016, 1:47 PM
AndyRussG closed this task as Resolved.
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM